from django.urls import path
from . import views
from .report import views as report_views

urlpatterns = [
     # 其他 URL 路由
    path('python-version/', views.python_version, name='python_version'),
    path('', views.home, name='home'),  # 根 URL 映射到主页视图
    path('stockbasic/', views.stockbasic, name='stockbasic'),  
    path('stockparam/', views.stockparam, name='stockparam'),  
    path('industrys/', views.industrys, name='industrys'),
    path('stockinfo/', views.stockInfo, name='stockInfo'),
    path('stockep/', views.stockep, name='stockep'),  
    path('quarterlyEps/', views.quarterlyEps, name='quarterlyEps'),    
    path('indexByName/', views.indexByName, name='indexByName'),   
    path('indexDatas/', views.indexDatas, name='indexDatas'),   
    path('dailymargin/', views.dailyMargin, name='dailyMargin'),   
    path('stockmargin/', views.stockMargin, name='stockMargin'),   
    path('stockep/', views.stockep, name='stockep'),   
    path('finance/', views.getFinaData, name='getFinaData'),   
    path('getdiv/', views.getDivData, name='getDivData'),
       
    path('xwlbNews/', views.xwlbNews, name='xwlbNews'), 
    path('xwlbFine/', views.xwlbFine, name='xwlbFine'), 

    # 日报查询（news_report / news_event）
    path('news/reports/', report_views.news_reports, name='news_reports'),
    path('news/events/', report_views.news_events, name='news_events'),
]